package com.uas.search.b2b.model;

import java.io.Serializable;
import java.util.List;

/**
 * 搜索时，一个字段可能对应多个值
 * 
 * @author sunyj
 * @since 2016年11月28日 上午8:47:54
 */
public class MultiValue implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 字段对应的多个值
	 */
	private List<Object> values;

	/**
	 * 多个值之间默认是AND逻辑关系，若该成员变量为true，则为OR逻辑关系
	 */
	private boolean or = false;

	public MultiValue() {
		super();
	}

	public MultiValue(List<Object> values) {
		super();
		this.values = values;
	}

	public MultiValue(List<Object> values, boolean or) {
		super();
		this.values = values;
		this.or = or;
	}

	public List<Object> getValues() {
		return values;
	}

	public void setValues(List<Object> values) {
		this.values = values;
	}

	public boolean isOr() {
		return or;
	}

	public void setOr(boolean or) {
		this.or = or;
	}

	@Override
	public String toString() {
		return "MultiValueField [values=" + values + ", or=" + or + "]";
	}

}
